
package de.ivu.elect.business.wahlbeteiligung.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungAuswertung;
import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungAuswertungDAO;
import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungAuswertungCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractWahlbeteiligungAuswertungCreate {

  @Inject
  protected WahlbeteiligungAuswertungDAO dao;

    @Inject
    transient Event<WahlbeteiligungAuswertungCreateEvent> createEvent;



  


public void save(WahlbeteiligungAuswertung entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(WahlbeteiligungAuswertung entity) {
        createEvent.fire(new WahlbeteiligungAuswertungCreateEvent(entity));
  }

}
